Delete a report launcher item in the Pnl launcher
curl --request DELETE \
--url https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core",
"report_name": "<string>",
"reporting_currency": "<string>",
"market_data_environment_names": [
"<string>"
],
"portfolio_name": "<string>"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete"
payload = {
"$type": "Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core",
"report_name": "<string>",
"reporting_currency": "<string>",
"market_data_environment_names": ["<string>"],
"portfolio_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core',
report_name: '<string>',
reporting_currency: '<string>',
market_data_environment_names: ['<string>'],
portfolio_name: '<string>'
})
};
fetch('https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core',
'report_name' => '<string>',
'reporting_currency' => '<string>',
'market_data_environment_names' => [
'<string>'
],
'portfolio_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core\",\n \"report_name\": \"<string>\",\n \"reporting_currency\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"portfolio_name\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core\",\n \"report_name\": \"<string>\",\n \"reporting_currency\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"portfolio_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core\",\n \"report_name\": \"<string>\",\n \"reporting_currency\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"portfolio_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": []
}Delete a report launcher item in the Pnl launcher
DELETE
/
api
/
ReportLauncher
/
PnlReportLauncherItemDelete
Delete a report launcher item in the Pnl launcher
curl --request DELETE \
--url https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core",
"report_name": "<string>",
"reporting_currency": "<string>",
"market_data_environment_names": [
"<string>"
],
"portfolio_name": "<string>"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete"
payload = {
"$type": "Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core",
"report_name": "<string>",
"reporting_currency": "<string>",
"market_data_environment_names": ["<string>"],
"portfolio_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core',
report_name: '<string>',
reporting_currency: '<string>',
market_data_environment_names: ['<string>'],
portfolio_name: '<string>'
})
};
fetch('https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core',
'report_name' => '<string>',
'reporting_currency' => '<string>',
'market_data_environment_names' => [
'<string>'
],
'portfolio_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core\",\n \"report_name\": \"<string>\",\n \"reporting_currency\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"portfolio_name\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core\",\n \"report_name\": \"<string>\",\n \"reporting_currency\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"portfolio_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportLauncher/PnlReportLauncherItemDelete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core\",\n \"report_name\": \"<string>\",\n \"reporting_currency\": \"<string>\",\n \"market_data_environment_names\": [\n \"<string>\"\n ],\n \"portfolio_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": []
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemDeleteRequest, Derivitec.Web.Core Available options:
derivitec, enfusion, not_set Show child attributes
Show child attributes
Example:
{ "final_date": "2000-01-23T04:56:07.000+00:00", "initial_date": "2000-01-23T04:56:07.000+00:00", "lookback_period": "daily", "is_druid_report": true }
Response
Success
Outcome of an operation that returns a success indicator and error messages without a domain-specific payload.
Serialized type of this operation outcome.
Available options:
Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core Whether the operation completed successfully. Check error_messages when this is false.
Messages explaining operation-level failures. Empty when there are no errors.
Was this page helpful?